aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Couzens <lynxis@fe80.eu>2017-12-05 12:05:09 +0100
committerHarald Welte <laforge@gnumonks.org>2017-12-07 22:35:33 +0000
commit6655542cec3a2195d228e66ce065a61b496d4324 (patch)
tree170265c71c3f45ad8a3518db61751d890e84f361
parent8bcebb535060cb8a02d399c24c01fd6841ab0093 (diff)
osmocom-nightly/latest: check if osc is installed
-rwxr-xr-xscripts/osmocom-latest-packages.sh5
-rwxr-xr-xscripts/osmocom-nightly-packages.sh5
2 files changed, 10 insertions, 0 deletions
diff --git a/scripts/osmocom-latest-packages.sh b/scripts/osmocom-latest-packages.sh
index bcc83de..bf20cfe 100755
--- a/scripts/osmocom-latest-packages.sh
+++ b/scripts/osmocom-latest-packages.sh
@@ -11,6 +11,11 @@ PROJ=network:osmocom:latest
DT=$(date +%Y%m%d)
TOP=$(pwd)
+if ! which osc >/dev/null 2>/dev/null ; then
+ echo "osc binary not found"
+ exit 1
+fi
+
# start with a checkout of the project
if [ -d $PROJ ]; then
(cd $PROJ && osc up)
diff --git a/scripts/osmocom-nightly-packages.sh b/scripts/osmocom-nightly-packages.sh
index a00cad1..c2b603b 100755
--- a/scripts/osmocom-nightly-packages.sh
+++ b/scripts/osmocom-nightly-packages.sh
@@ -9,6 +9,11 @@ if [ -n "$(ls)" ]; then
exit 1
fi
+if ! which osc >/dev/null 2>/dev/null ; then
+ echo "osc binary not found"
+ exit 1
+fi
+
set -x -e
git clone git://git.osmocom.org/osmo-sip-connector